import { faSearch } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-native-fontawesome";
import { useNavigation } from "@react-navigation/native";
import React, { useState } from "react";
import { Image, StyleSheet, Text, TextInput, TouchableOpacity, View } from "react-native";
import obn from "../../../assets/obn.png";
const Header = () => {
  const [searchKeyword, setsearchKeyword] = useState("");
  const navigation = useNavigation()

  console.log(searchKeyword);
  const Search = (e) => {
    setsearchKeyword(e);
  };
  return (
    <View style={styles.container} onPress={() => navigation.navigate("Search")}>
      <View style={styles.wrapper}>
        <Image style={styles.imgLogo} source={obn} />
        <TouchableOpacity
          style={styles.input}
          onPress={() => navigation.navigate("Search")}
          // placeholder="Search product or vendorss"
          // placeholderTextColor="#a5a5a5"
          // onChangeText={(e) => Search(e)}
          // // editable={false}
          // onFocus={() => navigation.navigate("Search")}
          // onPressIn={() => navigation.navigate("Search")}
        >
          <Text>Search...</Text>
        </TouchableOpacity>
        <FontAwesomeIcon icon={faSearch} color={"#888888"} size={25} />
      </View>
    </View>
  );
};
const styles = StyleSheet.create({
  container: {
    // flex: 1,
    backgroundColor: "#fff",
    alignItems: "center",
    justifyContent: "center",
    width: "100%",
    top: 0,
    // position: "fixed",
    paddingVertical: 15,
    paddingTop: 5,
    //   boxShadow: '0px 0px 4px 0px rgba(0, 0, 0, 0.25)'
  },
  wrapper: {
    flexDirection: "row",
    width: "95%",
    alignItems: "center",
    justifyContent: "space-around",
    margin: "auto",
  },
  button: {
    padding: 15,
  },
  imgLogo: {
    height: 30,
    width: 30,
  },
  input: {
    backgroundColor: "#f5f5f5dd",
    padding: 10,
    paddingHorizontal: 20,
    borderRadius: 10,
    width: "70%",
  },
});
export default Header;
