import { StatusBar } from "expo-status-bar";
import {
  Platform,
  SafeAreaView,
  StyleSheet,
  Text,
  View,
  StatusBar as StatusBars,
  Dimensions,
} from "react-native";
import Route from "./app/routes/route";

const height = Dimensions.get("window").height;
const width = Dimensions.get("window").width;
export default function App() {
  return (
    <SafeAreaView style={styles.container}>
      <View style={styles.wrapper}>
        <StatusBar style="auto" />
        <Route />
      </View>
    </SafeAreaView>
  );
}

const styles = StyleSheet.create({
  container: {
    // flex: 1,
    backgroundColor: "#ffff",
    alignItems: "center",
    // justifyContent: "center",
    height: "100%",
    paddingTop: Platform.OS === "android" ? StatusBars.currentHeight + 10 : "",
  },
  wrapper: {
    height: "100%",
    width: "100%",
    // backgroundColor:"#333"
  },
});
