import React, { useState } from "react";
import {
  View,
  Text,
  StyleSheet,
  ScrollView,
  KeyboardAvoidingView,
  Platform,
  TouchableWithoutFeedback,
} from "react-native";
import { KeyboardAwareScrollView } from "react-native-keyboard-aware-scroll-view";
import SearchHeader from "../../components/search/Header";

const SearchPage = () => {
  const [unfocus, setunfocus] = useState(false);
  return (
    <KeyboardAwareScrollView
      // keyboardShouldPersistTaps="always"
      resetScrollToCoords={{ x: 0, y: 0 }}
      scrollEnabled={true}
      style={styles.container}
    >
      <View style={styles.wrapper}>
        <View style={styles.header}>
          <SearchHeader unfocus={unfocus} />
        </View>

        <View style={styles.wrapper}>
          <Text>Searchingggg.........</Text>
        </View>
      </View>
    </KeyboardAwareScrollView>
  );
};
const styles = StyleSheet.create({
  container: {
    backgroundColor: "#ffffff",
  },
  header: {
    left: 0,
    right: 0,
  },
  footer: {
    bottom: 0,
    width: "100%",
  },
  wrapper: {
    justifyContent: "center",
    alignItems: "center",
  },
});

export default SearchPage;
